Get Interconnect Appliances By Filter
Retrieves HCX interconnect appliances matching specified filter criteria. This API provides flexible filtering capabilities to query appliances based on service mesh, endpoint, type, state, and other attributes. Supports including additional data such as certificates in the response for specific appliance types (e.g., Sentinel Gateway certificates).
Comma-separated list of certificate types to include in the response. Currently supported: 'sgwdCert' for Sentinel Gateway daemon certificates. When specified, the response includes the certificate data for applicable appliances (e.g., HCX-SGW). Leave empty to exclude certificates.
Filter criteria object specifying which appliances to retrieve. All filter criteria are optional and can be combined. Empty filter object returns all appliances (equivalent to GET /appliances).
{
"filter": {
"serviceMeshId": "string",
"applianceType": "string",
"endpointId": "string",
"category": "string"
}
}
filter
Accepted
{
"items": [
{
"applianceId": "string",
"applianceType": "string",
"applianceName": "string",
"applianceCerts": {
"sgwdCert": "string"
},
"serviceMeshId": "string",
"computeProfileId": "string",
"location": "string",
"endpointId": "string",
"isInitiator": false,
"peerAppliances": [
{
"applianceId": "string",
"applianceType": "string",
"applianceName": "string",
"applianceCerts": {
"sgwdCert": "string"
},
"serviceMeshId": "string",
"computeProfileId": "string",
"location": "string",
"endpointId": "string",
"isInitiator": false,
"peerAppliances": [
"appliance Object"
],
"config": {
"uplinkIps": [
"string"
],
"trafficEnggCfg": {
"isAppPathResiliencyEnabled": false,
"isTcpFlowConditioningEnabled": false,
"isEncryptionlessTunnelEnabledForMigration": false,
"isEncryptionlessTunnelEnabledForNE": false,
"groEnabled": false
}
},
"applianceStatus": {
"state": "string",
"detailedMessage": "string"
},
"compute": {
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"storage": {
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"folder": {
"cmpId": "string",
"cmpName": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"networks": [
{
"id": "string",
"interface": "string",
"backingId": "string",
"backingType": "string",
"backingName": "string",
"vCenterInstanceId": "string",
"prefixLength": 0,
"gateway": "string",
"mtu": 0,
"networkDescription": "string",
"scope": "string",
"ipPoolId": "string",
"type": "string",
"networkId": "string",
"provider": "string",
"tags": [
"string"
],
"dns": [
"string"
],
"ip": [
"string"
],
"resourcePoolId": "string",
"resourceId": "string",
"enableBridge": false,
"staticRoutes": [
{
"network": "string",
"nextHop": "string"
}
],
"stretchId": "string",
"ipAddress": "string",
"networkType": "string",
"dvpgMoref": "string",
"bridgeConfig": {
"id": "string",
"localAddress": "string",
"remoteAddress": "string",
"flapThreshold": 0,
"flapClearThreshold": 0
}
}
],
"dvsId": "string",
"networkExtensionCount": 0,
"dvsName": "string",
"dvsType": "string",
"moref": "string",
"cmpId": "string",
"applianceVersion": {
"major": 0,
"minor": 0,
"patch": 0,
"revision": "string",
"build": 0
},
"updateInfo": {
"updateAvailable": false,
"updateVersion": {
"major": 0,
"minor": 0,
"patch": 0,
"revision": "string",
"build": 0
}
},
"stretchCapacity": 0,
"isInServiceUpdateAvailable": false,
"haProperties": {
"enabled": false,
"groupId": "string",
"role": "string",
"partnerId": "string",
"groupName": "string"
},
"haEligibility": {
"isEligible": false,
"message": "string",
"reasonCode": "string"
},
"features": {
"proximityRouting": {
"enabled": false,
"version": "string"
}
},
"status": {
"summary": {
"overallStatus": "string",
"overallTransportStatus": "string",
"servicePipelineStatus": "string",
"overallEncryptionTunnelStatus": "string",
"transportSummary": [
{
"transportIp": "string",
"name": "string",
"totalTunnelCount": 0,
"totalActiveTunnelCount": 0,
"aggregatedTunnelStatus": "string"
}
],
"encryptionTunnelSummary": {
"totalActiveTunnelCount": 0,
"aggregatedTunnelStatus": "string",
"totalTunnelCount": 0
},
"wanOptStatus": "string",
"systemState": "string",
"reasons": [
"string"
]
},
"timestamp": 0,
"statistics": {
"Tunnels": [
{
"Id": "string",
"LocalAddress": "string",
"LocalPort": "string",
"RemoteAddress": "string",
"RemotePort": "string",
"Timestamp": "string",
"Summary": "string",
"Detail": "string",
"Ikev2Status": "string",
"Counters": {
"RxPackets": "number",
"RxPacketErrors": "number",
"RxPacketDropped": "number",
"RxPacketOverruns": "number",
"RxPacketFrame": "number",
"TxPackets": "number",
"TxPacketErrors": "number",
"TxPacketDropped": "number",
"TxPacketOverruns": "number",
"TxPacketCarrier": "number",
"Collisions": "number",
"TxQueuelen": "number",
"RxBytes": "number",
"TxBytes": "number",
"RxPacketRate": "number",
"TxPacketRate": "number",
"RxBitRate": "number",
"TxBitRate": "number"
},
"TunnelType": "string"
}
]
}
}
}
],
"config": {
"uplinkIps": [
"string"
],
"trafficEnggCfg": {
"isAppPathResiliencyEnabled": false,
"isTcpFlowConditioningEnabled": false,
"isEncryptionlessTunnelEnabledForMigration": false,
"isEncryptionlessTunnelEnabledForNE": false,
"groEnabled": false
}
},
"applianceStatus": {
"state": "string",
"detailedMessage": "string"
},
"compute": {
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"storage": {
"cmpId": "string",
"cmpName": "string",
"cmpType": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"folder": {
"cmpId": "string",
"cmpName": "string",
"type": "string",
"id": "string",
"name": "string",
"status": {
"state": "string",
"errorMessage": "string"
}
},
"networks": [
{
"id": "string",
"interface": "string",
"backingId": "string",
"backingType": "string",
"backingName": "string",
"vCenterInstanceId": "string",
"prefixLength": 0,
"gateway": "string",
"mtu": 0,
"networkDescription": "string",
"scope": "string",
"ipPoolId": "string",
"type": "string",
"networkId": "string",
"provider": "string",
"tags": [
"string"
],
"dns": [
"string"
],
"ip": [
"string"
],
"resourcePoolId": "string",
"resourceId": "string",
"enableBridge": false,
"staticRoutes": [
{
"network": "string",
"nextHop": "string"
}
],
"stretchId": "string",
"ipAddress": "string",
"networkType": "string",
"dvpgMoref": "string",
"bridgeConfig": {
"id": "string",
"localAddress": "string",
"remoteAddress": "string",
"flapThreshold": 0,
"flapClearThreshold": 0
}
}
],
"dvsId": "string",
"networkExtensionCount": 0,
"dvsName": "string",
"dvsType": "string",
"moref": "string",
"cmpId": "string",
"applianceVersion": {
"major": 0,
"minor": 0,
"patch": 0,
"revision": "string",
"build": 0
},
"updateInfo": {
"updateAvailable": false,
"updateVersion": {
"major": 0,
"minor": 0,
"patch": 0,
"revision": "string",
"build": 0
}
},
"stretchCapacity": 0,
"isInServiceUpdateAvailable": false,
"haProperties": {
"enabled": false,
"groupId": "string",
"role": "string",
"partnerId": "string",
"groupName": "string"
},
"haEligibility": {
"isEligible": false,
"message": "string",
"reasonCode": "string"
},
"features": {
"proximityRouting": {
"enabled": false,
"version": "string"
}
},
"status": {
"summary": {
"overallStatus": "string",
"overallTransportStatus": "string",
"servicePipelineStatus": "string",
"overallEncryptionTunnelStatus": "string",
"transportSummary": [
{
"transportIp": "string",
"name": "string",
"totalTunnelCount": 0,
"totalActiveTunnelCount": 0,
"aggregatedTunnelStatus": "string"
}
],
"encryptionTunnelSummary": {
"totalActiveTunnelCount": 0,
"aggregatedTunnelStatus": "string",
"totalTunnelCount": 0
},
"wanOptStatus": "string",
"systemState": "string",
"reasons": [
"string"
]
},
"timestamp": 0,
"statistics": {
"Tunnels": [
{
"Id": "string",
"LocalAddress": "string",
"LocalPort": "string",
"RemoteAddress": "string",
"RemotePort": "string",
"Timestamp": "string",
"Summary": "string",
"Detail": "string",
"Ikev2Status": "string",
"Counters": {
"RxPackets": "number",
"RxPacketErrors": "number",
"RxPacketDropped": "number",
"RxPacketOverruns": "number",
"RxPacketFrame": "number",
"TxPackets": "number",
"TxPacketErrors": "number",
"TxPacketDropped": "number",
"TxPacketOverruns": "number",
"TxPacketCarrier": "number",
"Collisions": "number",
"TxQueuelen": "number",
"RxBytes": "number",
"TxBytes": "number",
"RxPacketRate": "number",
"TxPacketRate": "number",
"RxBitRate": "number",
"TxBitRate": "number"
},
"TunnelType": "string"
}
]
}
}
}
]
}
items
Bad Request
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
errors
Unauthorized
Forbidden
Internal Server Error
{
"errors": [
{
"code": "string",
"message": "string"
}
]
}
errors
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/interconnect/appliances/query